# $Revision: 1.3 $, $Date: 2004/05/05 19:22:10 $
#
# Conditional build:
%bcond_without tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Filter-SAXT
Summary:	XML::Filter::SAXT - replicates SAX events to several SAX event handlers
Summary(pl):	XML::Filter::SAXT - powielanie zdarze SAX dla wielu funkcji obsugi zdarze SAX
Name:		perl-XML-Filter-SAXT
Version:	0.01
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	da65cbe1938bff4c8975014c80063e05
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SAXT is like the Unix 'tee' command in that it multiplexes the input
stream to several output streams. In this case, the input stream is a
PerlSAX event producer (like XML::Parser::PerlSAX) and the output
streams are PerlSAX handlers or filters.

%description -l pl
SAXT jest moduem podobnym do uniksowego polecenia 'tee' pod tym
wzgldem, e powiela strumie wejciowy na kilka strumieni
wyjciowych. W tym przypadku strumie wyjciowy to modu tworzcy
zdarzenia PerlSAX (jak XML::Parser::PerlSAX), a strumienie wyjciowe
s funkcjami obsugi lub filtrami PerlSAX.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Filter/SAXT.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-Filter-SAXT.spec,v $
Revision 1.3  2004/05/05 19:22:10  qboosh
- pl desc

Revision 1.2  2004/05/05 00:44:20  ankry
- summary / desc, BR fixes

Revision 1.1  2004/05/05 00:27:08  ankry
- new
